#pragma once

#include <string>
#include "yuna_if.h"

using namespace std;

//Defines
#define YUNA_MUTEX_NAME       "com.lmt.windows.yuna"
#define YUNA_SERVER_MAILSLOT  "\\\\.\\mailslot\\com.lmt.windows.yuna.server"
#define YUNA_CLIENT_MAILSLOT  "\\\\.\\mailslot\\com.lmt.windows.yuna.client"
#define YUNA_SERVER_STACK     (1024 * 1024)
#define YUNA_CLIENT_STACK     (1024 * 1024)
#define YUNA_ALIVE_TIME       (20 * 60 * 1000)

//Report access
void yuna_accessed(void);

//Set pause flag
void yuna_set_pause(bool pause);

//Get pause flag
bool yuna_get_pause(void);

//Notify mail
void yuna_notify_mail(const YUNA_MAIL *p_mail, HANDLE *p_now_handle, string *p_now_name);

//Pop front log
bool yuna_pop_log(YUNA_LOG *p_log);

//Client entry point
void yuna_client_entry(void *param);

//Server entry point
void yuna_server_entry(void *param);
