#pragma once

#define YUNA_MESSAGE_SIZE  (512)

#define YUNA_MSG_KIND_SEND_LOG_REQ   (0)
#define YUNA_MSG_KIND_SEND_LOG_RES   (10)

#define YUNA_MSG_KIND_RECV_LOG_REQ   (20)
#define YUNA_MSG_KIND_RECV_LOG_RES   (21)

#define YUNA_MSG_KIND_SET_PAUSE_REQ  (30)
#define YUNA_MSG_KIND_SET_PAUSE_RES  (31)

#define YUNA_MSG_KIND_NOTIFY_MAIL    (40)

#define YUNA_RES_OK  (0)
#define YUNA_RES_NG  (1)

//Message format
struct YUNA_MSG {
	unsigned int kind;
	unsigned char info[508];
};

struct YUNA_RES {
	unsigned int kind;
	unsigned int res;
	unsigned char info[504];
};

struct YUNA_MAIL {
	char name[256];
	char padding[252];
};

struct YUNA_LOG {
	unsigned long tick;
	int level;
	char tag[32];
	char msg[304];
	unsigned char padding[64];
};

struct YUNA_PAUSE {
	unsigned int pause;
	unsigned char padding[504];
};